// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SSO.DeleteConnection(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/sso"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &sso.DeleteConnectionParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
ConnectionID: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
}
options := &sso.DeleteConnectionParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SSO.DeleteConnection(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
package com.example;
import com.stytch.java.b2b.models.sso.DeleteConnectionRequest;
import com.stytch.java.b2b.models.sso.DeleteConnectionRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeleteConnectionRequest params = new DeleteConnectionRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setConnectionId("saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9");
DeleteConnectionRequestOptions options = new DeleteConnectionRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSSO().deleteConnection(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.sso.DeleteConnectionRequest
import com.stytch.java.b2b.models.sso.DeleteConnectionRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.sso.deleteConnection(
DeleteConnectionRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connectionId = "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
),
DeleteConnectionRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.sso.deleteConnection(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->sso->delete_connection([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'connection_id' => 'saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
from stytch import B2BClient
from stytch.b2b.models.sso import DeleteConnectionRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.sso.delete_connection(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id="saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options=DeleteConnectionRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)# frozen_string_literal: true
# DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.sso.delete_connection(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options: StytchB2B::SSO::DeleteConnectionRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
use stytch::b2b::client::Client;
use stytch::b2b::sso::DeleteConnectionRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.sso.delete_connection(
DeleteConnectionRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/sso/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connections/saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"connection_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Delete SSO Connection
Delete an existing SSO Connection
// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.SSO.DeleteConnection(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/sso"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &sso.DeleteConnectionParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
ConnectionID: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
}
options := &sso.DeleteConnectionParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.SSO.DeleteConnection(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
package com.example;
import com.stytch.java.b2b.models.sso.DeleteConnectionRequest;
import com.stytch.java.b2b.models.sso.DeleteConnectionRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeleteConnectionRequest params = new DeleteConnectionRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setConnectionId("saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9");
DeleteConnectionRequestOptions options = new DeleteConnectionRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getSSO().deleteConnection(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.sso.DeleteConnectionRequest
import com.stytch.java.b2b.models.sso.DeleteConnectionRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.sso.deleteConnection(
DeleteConnectionRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connectionId = "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
),
DeleteConnectionRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.sso.deleteConnection(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->sso->delete_connection([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'connection_id' => 'saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
from stytch import B2BClient
from stytch.b2b.models.sso import DeleteConnectionRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.sso.delete_connection(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id="saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options=DeleteConnectionRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)# frozen_string_literal: true
# DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.sso.delete_connection(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options: StytchB2B::SSO::DeleteConnectionRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
use stytch::b2b::client::Client;
use stytch::b2b::sso::DeleteConnectionRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.sso.delete_connection(
DeleteConnectionRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/sso/{organization_id}/connections/{connection_id}
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/sso/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connections/saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"connection_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
A Stytch session that can be used to run the request with the given member's permissions.
A Stytch Session JSON Web Token (JWT) that can be used to run the request with the given member's permissions.
Path Parameters
The organization ID that the SSO connection belongs to. You may also use the organization_slug or organization_external_id here as a convenience.
The ID of the SSO connection. SAML, OIDC, and External connection IDs can be provided.
Response
Successful response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
The connection_id that was deleted as part of the delete request.
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.